{% extends 'base.html' %} 

<!-- {% if is_user_authenticated == False %}
	<h1>Invalid Credentials!</h1>
	<p>Check if the username and password is correct.</p>
{% else %}
	<h1>User Password Successfully Updated!</h1>
	<p>Password has been successfully updated.</p>
{% endif %} -->

{% block title %}
	Change Password
{% endblock %}

{% block content %}

{% if user.is_anonymous == False %}
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<h1 class="text-center my-3">Change Password</h1>

				  <form action="{% url 'todolist:change_password' %}" method="post">
					{% csrf_token %}

					<div class="mb-3">
					    <label for="password">Old Password: </label>
					    <input class="form-control" id="password" type="password" name="password" value="{{ password }}" maxlength="20" required>
					</div>
					{% if incorrect_password %}
						<p class="text-danger">Incorrect Password.</p>
					{% endif %}

					<div class="mb-3">
					    <label for="new_password">New Password: </label>
					    <input class="form-control" id="new_password" type="password" name="new_password" value="{{ new_password }}" maxlength="20" required>
					</div>

					<div class="mb-3">
					    <label for="confirm_new_password">Confirm New Password: </label>
					    <input class="form-control" id="confirm_new_password" type="password" name="confirm_new_password" value="{{ confirm_new_password }}" maxlength="20" required>
					    {% if passwords_mismatch %}
					    	<p class="text-danger">Passwords do not match.</p>
					    {% endif %}
					</div>

					<div class="text-center">
				    	<input class="btn btn-success" type="submit" value="Update Password">
					</div>

				  </form>
			</div>
		</div>
	</div>

{% else %}
    <h1 class="text-center mt-3">You are not authorized to access this page.</h1>
    <p class="text-center">Kindly login <a href="{% url 'todolist:login' %}">here</a></p>
{% endif %}
	
{% endblock %}
